using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MarketData.CNNProcessing
{
  public class LineSegment
	{
	  public LineSegment()
		{
		}
		public LineSegment(Point p1,Point p2)
		{
		  P1=p1;
			P2=p2;
		}
	  public Point P1{get;set;}
		public Point P2{get;set;}
	}

	public class LineSegments : List<LineSegment>
	{
	  public LineSegments()
		{
		}
		public void Add(Point p1,Point p2)
		{
		  Add(new LineSegment(p1,p2));
		}
	}
}
